#ifndef HIDAC2010_H
#define HIDAC2010_H
#include <stdio.h>
#include <stdlib.h>

#define OPTION_FLAG     '-'
#define OPTION_FLAG_POS (0)
#define OPTION_POS      (1)




typedef struct hidac2010Info {
    long flagRedirect;

    long flagIn;
    char* In;
    FILE* fptIn;
    
    long flagOut;
    char* Out;
    FILE* fptOut;
    
    long flagconfigFile;
    char* configFile;
    FILE* fptconfigFile;
    
    long flagmode;
    long mode;
    
} hidac2010Info;
#ifdef __cplusplus
extern "C" {
#endif
extern void argCheck(hidac2010Info* info, int argc, char* avgv[]);
extern void khorosInit(int argc, char* avgv[]);
extern void init0(hidac2010Info* info);
extern void init1(hidac2010Info* info);
extern void usage(char* usage);
extern void additionalUsage(void);
extern void htmlBeforeUsage(char* usage);
extern void htmlAfterUsage(char* usage);
#ifdef __cplusplus
};
#endif
#endif /* HIDAC2010_H */
